/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TDmTablegrp;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TDmTablegrpRecord extends UpdatableRecordImpl<TDmTablegrpRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_dm_tablegrp.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_tablegrp.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_dm_tablegrp.pk</code>. ID of
     * examination/table group
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_tablegrp.pk</code>. ID of
     * examination/table group
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_dm_tablegrp.fk_study_id</code>. foreign key
     * to ID of study
     */
    public void setFkStudyId(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_tablegrp.fk_study_id</code>. foreign key
     * to ID of study
     */
    public Integer getFkStudyId() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_dm_tablegrp.table_grp</code>. name of
     * examination/table group
     */
    public void setTableGrp(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_tablegrp.table_grp</code>. name of
     * examination/table group
     */
    public String getTableGrp() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.t_dm_tablegrp.table_grp_order</code>. order of
     * examination/table group
     */
    public void setTableGrpOrder(Integer value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_tablegrp.table_grp_order</code>. order of
     * examination/table group
     */
    public Integer getTableGrpOrder() {
        return (Integer) get(4);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TDmTablegrpRecord
     */
    public TDmTablegrpRecord() {
        super(TDmTablegrp.T_DM_TABLEGRP);
    }

    /**
     * Create a detached, initialised TDmTablegrpRecord
     */
    public TDmTablegrpRecord(LocalDateTime lastchange, Integer pk, Integer fkStudyId, String tableGrp, Integer tableGrpOrder) {
        super(TDmTablegrp.T_DM_TABLEGRP);

        setLastchange(lastchange);
        setPk(pk);
        setFkStudyId(fkStudyId);
        setTableGrp(tableGrp);
        setTableGrpOrder(tableGrpOrder);
        resetChangedOnNotNull();
    }
}
